WIP Dart Language Server support

Ghost User requested to merge (removed):dart_langserver into master

The beginings of support for dart language server, currently assumes that it is installed in a flutter installation hosted in $HOME.sdk/. Uses the --lsp flag of the dart analysis server snapshot rather than requiring the deprecated language server package.

Closes #1194

Merge request reports